STRUCT TEMPLATE ONE(3)

NAME
boost::numeric::one

SYNOPSIS

// In header: <boost/accumulators/numeric/functional.hpp>
template<typename T>
struct one {
  // types
  typedef one type;
  typedef T   value_type;
  // public member functions
  operator T const &() const;
  static T const value;
};

DESCRIPTION

  one public member functions

    1.

    operator T const &() const;